> ## Documentation Index
> Fetch the complete documentation index at: https://api.veda.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Person - Time Balances



## OpenAPI

````yaml GET /api/v1/persons/{personId}/time-balances
openapi: 3.1.0
info:
  title: VEDA API
  description: >-
    The VEDA API is a unified API that provides access to various components of
    the VEDA HR Cloud. It simplifies the integration process by offering a
    single entry point for all API requests.
  contact:
    name: Tim Augustin
    email: tim.augustin@veda.net
  version: v1
servers: []
security: []
paths:
  /api/v1/persons/{personId}/time-balances:
    get:
      tags:
        - time-controller
      operationId: getTimeBalances
      parameters:
        - name: personId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimeBalances'
components:
  schemas:
    TimeBalances:
      type: object
      description: Time balances for a person
      properties:
        personId:
          type: string
          format: uuid
        balances:
          type: array
          description: List of all 6 time balance counters
          items:
            $ref: '#/components/schemas/TimeBalance'
          maxItems: 6
          minItems: 6
          uniqueItems: true
    TimeBalance:
      type: object
      properties:
        id:
          type: string
          enum:
            - flexitime
            - additionalTimeBalance1
            - additionalTimeBalance2
            - additionalTimeBalance3
            - additionalTimeBalance4
            - additionalTimeBalance5
        balance:
          type: number
          format: double
          description: >-
            Current time balance recorded for the employee. (Formerly
            timeBalance)

````